< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package mongo
  Definition Classes
    hmrc
-  package cache
  Definition Classes
    mongo
-  package collection
  Definition Classes
    cache
- CacheItem
- PlayMongoCacheCollection

p

uk.gov.hmrc.mongo.cache

# collection 

#### package collection

 
Ordering

1. Alphabetic

Visibility

1. Public
2. All

### Type Members

1.  final case class CacheItem[A](id: String, data: A, createdAt: LocalDateTime, modifiedAt: LocalDateTime) extends Product with Serializable
2.  class PlayMongoCacheCollection[A] extends PlayMongoCollection[CacheItem[A]]

### Value Members

1.  object CacheItem extends Serializable

### Ungrouped